NonUniqueObjectException (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate
Class NonUniqueObjectException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.NonUniqueObjectException

All Implemented Interfaces:
  Serializable

    public class NonUniqueObjectException

extends HibernateException

This exception is thrown when an operation would break session-scoped identity. This occurs if the user tries to associate two different instances of the same Java class with a particular identifier, in the scope of a single `Session`.

See Also:
  Serialized Form

Constructor Summary
`NonUniqueObjectException(Serializable id, String clazz)`
`NonUniqueObjectException(String message, Serializable id, String clazz)`

Method Summary
`String` | `getEntityName()`
`Serializable` | `getIdentifier()`
`String` | `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NonUniqueObjectException

    public NonUniqueObjectException(String message,
                                    Serializable id,
                                    String clazz)

### NonUniqueObjectException

    public NonUniqueObjectException(Serializable id,
                                    String clazz)

Method Detail

### getIdentifier

    public Serializable getIdentifier()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getEntityName

    public String getEntityName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.